using XGame.Framework.Asyncs;

namespace XGame.Framework.Nodes
{
    public interface INodeGroup
    {
        bool IsActive(NodeKey nodeKey);
        IAsync AddAsync(NodeKey nodeKey, object intent = null);
        void Remove(NodeKey nodeKey, bool isDestroy = false);
        /// <summary>
        /// 预加载，已经加载的返回空
        /// 加载完成不会显示
        /// </summary>
        /// <param name="nodeKey"></param>
        /// <returns></returns>
        IAsync Preload(NodeKey nodeKey);
    }
}